moeoFrontByFrontCrowdingDiversityAssignment(3)

NAME
moeoFrontByFrontCrowdingDiversityAssignment - Diversity assignment sheme based on crowding proposed in: K.

SYNOPSIS

#include <moeoFrontByFrontCrowdingDiversityAssignment.h>

Inherits moeoCrowdingDiversityAssignment< MOEOT >< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
the objective vector type of the solutions

  Public Member Functions
void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)

  Private Member Functions
void setDistances (eoPop< MOEOT > &_pop)
Sets the distance values.
unsigned int lastIndex (eoPop< MOEOT > &_pop, unsigned int _start)
Returns the index of the last individual having the same fitness value than _pop[_start].

Detailed Description

  template<class MOEOT> class moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >
Diversity assignment sheme based on crowding proposed in: K. Deb, A. Pratap, S. Agarwal, T. Meyarivan, 'A Fast and Elitist Multi-Objective Genetic Algorithm: NSGA-II', IEEE Transactions on Evolutionary Computation, vol. 6, no. 2 (2002). Tis strategy assigns diversity values FRONT BY FRONT. It is, for instance, used in NSGA-II.

Definition at line 25 of file moeoFrontByFrontCrowdingDiversityAssignment.h.

Member Function Documentation

  template<class MOEOT> void moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [inline, virtual]

Warning:
    NOT IMPLEMENTED, DO NOTHING ! Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:
    _pop the population
    _objVec the objective vector

Warning:
    NOT IMPLEMENTED, DO NOTHING !

Reimplemented from moeoCrowdingDiversityAssignment< MOEOT >.

Definition at line 40 of file moeoFrontByFrontCrowdingDiversityAssignment.h.

  template<class MOEOT> void moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >::setDistances (eoPop< MOEOT > & _pop) [inline, private, virtual]

Sets the distance values.

Parameters:
    _pop the population

Reimplemented from moeoCrowdingDiversityAssignment< MOEOT >.

Definition at line 55 of file moeoFrontByFrontCrowdingDiversityAssignment.h.

References moeoCrowdingDiversityAssignment< MOEOT >::inf(), moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >::lastIndex(), and moeoCrowdingDiversityAssignment< MOEOT >::tiny().

  template<class MOEOT> unsigned int moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >::lastIndex (eoPop< MOEOT > & _pop, unsigned int _start) [inline, private]

Returns the index of the last individual having the same fitness value than _pop[_start].

Parameters:
    _pop the population
    _start the index to start from

Definition at line 121 of file moeoFrontByFrontCrowdingDiversityAssignment.h.

Referenced by moeoFrontByFrontCrowdingDiversityAssignment< MOEOT >::setDistances().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.